getMinorMajorCopyNumbers {acnr} | R Documentation

## Get minor and major copy number labels from region annotation labels

### Description

Get minor and major copy number labels from region annotation labels

### Usage

    getMinorMajorCopyNumbers(region)

### Arguments

`region`

A character value, the annotation label for a copy number region. Should be encoded as `"(C1,C2)"`, where

`C1`

  denotes the minor copy number, that is, the smallest of the two parent-specific copy numbers

`C2`

  denotes the minor copy number, that is, the smallest of the two parent-specific copy numbers

### Value

A `matrix` with `length(region)` rows and two columns: `C1` and `C2`, as described above.

### References

Bengtsson H., Neuvial, P. and Speed, T. P. (2010) TumorBoost: normalization of allele-specific tumor copy numbers from a single pair of tumor-normal genotyping microarrays. BMC bioinformatics 11 (2010), p. 245.

Neuvial, P., Bengtsson H., and Speed, T. P. (2011) Statistical analysis of Single Nucleotide Polymorphism microarrays in cancer studies. Chapter 11 in *Handbook of Statistical Bioinformatics*, Springer.

### Examples

    dat <- loadCnRegionData(dataSet="GSE29172_H1395", tumorFraction=1)
    regions <- unique(dat$region)
    getMinorMajorCopyNumbers(regions)

[Package acnr version 1.0.0 Index]